Bug 1703137 - marketplace-operator should report degraded status
Summary: marketplace-operator should report degraded status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Kevin Rizza
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-25 15:22 UTC by Maciej Szulik
Modified: 2019-06-04 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:12 UTC

Description Maciej Szulik 2019-04-25 15:22:44 UTC
https://github.com/openshift/api/pull/287 changed Failing to Degraded all operator should update reporting their statuses accordingly.

Comment 1 Fan Jia 2019-04-29 05:30:51 UTC
pr:https://github.com/operator-framework/operator-marketplace/pull/172

test env:
cv: 4.1.0-0.nightly-2019-04-28-064010
marketplace commit:8a92bbdbb7d0585237c1d03878092137fe23918c

marketplace can show the degraded status, the status of markretplace
#oc get clusteroperator | grep marketplace
marketplace                          4.1.0-0.nightly-2019-04-28-064010   True        False         False      108m

Comment 3 errata-xmlrpc 2019-06-04 10:48:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.